Skip to main content
`Ctrl`+`K`

# DMLocalizeCoordinate

If a mesh is periodic (a torus with lengths L_i, some of which can be infinite), project the coordinate onto [0, L_i) in each dimension.

## Synopsis

    #include "petscdm.h"
    PetscErrorCode DMLocalizeCoordinate(DM dm, const PetscScalar in[], PetscBool endpoint, PetscScalar out[])

## Input Parameters

- dm - The `DM`

- in - The input coordinate point (dim numbers)

- endpoint - Include the endpoint L_i

## Output Parameter

- out - The localized coordinate point (dim numbers)

## See Also

`DM`, `DMLocalizeCoordinates()`, `DMLocalizeAddCoordinate()`

## Level

developer

## Location

src/dm/interface/dmperiodicity.c

## Examples

src/ts/tutorials/ex18.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages